org.apache.tools.ant.types.resources

## Class ImmutableResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tools.ant.types.resources.ImmutableResourceException

- All Implemented Interfaces:
    java.io.Serializable

      public class ImmutableResourceException
      extends java.io.IOException

  Exception thrown when an attempt is made to get an OutputStream from an immutable Resource.
  Since:
    Ant 1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableResourceException()` Default constructor.
    `ImmutableResourceException(java.lang.String s)` Construct a new ImmutableResourceException with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableResourceException

          public ImmutableResourceException()

      Default constructor.

    - #### ImmutableResourceException

          public ImmutableResourceException(java.lang.String s)

      Construct a new ImmutableResourceException with the specified message.
      Parameters:
        `s` - the message String.